<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionDismantleFlag Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d20/a03557.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionDismantleFlag Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionDismantleFlag:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d20/a03557.png" usemap="#ExpansionActionDismantleFlag_map" alt=""/>
  <map id="ExpansionActionDismantleFlag_map" name="ExpansionActionDismantleFlag_map">
<area href="../../d4/d61/a04577.html" alt="ActionContinuousBase" shape="rect" coords="0,0,185,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4b2371eef0264ac32b17d1b04fd59905"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#a4b2371eef0264ac32b17d1b04fd59905">ExpansionActionDismantleFlag</a> ()</td></tr>
<tr class="separator:a4b2371eef0264ac32b17d1b04fd59905"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c70c2608ad503dc53281136133186c9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#a4c70c2608ad503dc53281136133186c9">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a4c70c2608ad503dc53281136133186c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f78c2477bf7d520491665f02a25c1e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#a32f78c2477bf7d520491665f02a25c1e">GetText</a> ()</td></tr>
<tr class="separator:a32f78c2477bf7d520491665f02a25c1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1791a6c133799a0eac5aaa98ecb46b5"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#ab1791a6c133799a0eac5aaa98ecb46b5">GetInputType</a> ()</td></tr>
<tr class="separator:ab1791a6c133799a0eac5aaa98ecb46b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9087e9fb27927bc6ceedbd36bbdc25b"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#ab9087e9fb27927bc6ceedbd36bbdc25b">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:ab9087e9fb27927bc6ceedbd36bbdc25b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1d682f7b975342fbeb8297aae06aef"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#add1d682f7b975342fbeb8297aae06aef">OnStart</a> (ActionData action_data)</td></tr>
<tr class="separator:add1d682f7b975342fbeb8297aae06aef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88bc91f3de1d38052b804f9ee6fa0321"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#a88bc91f3de1d38052b804f9ee6fa0321">OnFinishProgressServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a88bc91f3de1d38052b804f9ee6fa0321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13e278faf9c02998475c54a9d915864a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#a13e278faf9c02998475c54a9d915864a">GetAdminLogMessage</a> (ActionData action_data)</td></tr>
<tr class="separator:a13e278faf9c02998475c54a9d915864a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a1cf23e3f6ef19067ae745a4201d0c7ba"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d20/a03557.html#a1cf23e3f6ef19067ae745a4201d0c7ba">m_IsDismantle</a></td></tr>
<tr class="separator:a1cf23e3f6ef19067ae745a4201d0c7ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00021">21</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4b2371eef0264ac32b17d1b04fd59905" name="a4b2371eef0264ac32b17d1b04fd59905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b2371eef0264ac32b17d1b04fd59905">&#9670;&#160;</a></span>ExpansionActionDismantleFlag()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionDismantleFlag::ExpansionActionDismantleFlag </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00025">25</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab9087e9fb27927bc6ceedbd36bbdc25b" name="ab9087e9fb27927bc6ceedbd36bbdc25b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9087e9fb27927bc6ceedbd36bbdc25b">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionDismantleFlag::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Force the player to dismantle with tools</p>
<p >This has to be a valid expansion territory flag</p>
<p >If we aren't in our own territory, we are raiding. We don't need to check if we are in a territory.</p>
<p >The Raider can't dismantle at all but the owner can</p>

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00053">53</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<a id="a4c70c2608ad503dc53281136133186c9" name="a4c70c2608ad503dc53281136133186c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c70c2608ad503dc53281136133186c9">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionDismantleFlag::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00034">34</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<a id="a13e278faf9c02998475c54a9d915864a" name="a13e278faf9c02998475c54a9d915864a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13e278faf9c02998475c54a9d915864a">&#9670;&#160;</a></span>GetAdminLogMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionDismantleFlag::GetAdminLogMessage </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00121">121</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<a id="ab1791a6c133799a0eac5aaa98ecb46b5" name="ab1791a6c133799a0eac5aaa98ecb46b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1791a6c133799a0eac5aaa98ecb46b5">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionActionDismantleFlag::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00048">48</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<a id="a32f78c2477bf7d520491665f02a25c1e" name="a32f78c2477bf7d520491665f02a25c1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32f78c2477bf7d520491665f02a25c1e">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionActionDismantleFlag::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00040">40</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<a id="a88bc91f3de1d38052b804f9ee6fa0321" name="a88bc91f3de1d38052b804f9ee6fa0321"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88bc91f3de1d38052b804f9ee6fa0321">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionDismantleFlag::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Should the flag drop a flag kit after being dismantled ?</p>

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00110">110</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<a id="add1d682f7b975342fbeb8297aae06aef" name="add1d682f7b975342fbeb8297aae06aef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add1d682f7b975342fbeb8297aae06aef">&#9670;&#160;</a></span>OnStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionDismantleFlag::OnStart </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00087">87</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1cf23e3f6ef19067ae745a4201d0c7ba" name="a1cf23e3f6ef19067ae745a4201d0c7ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cf23e3f6ef19067ae745a4201d0c7ba">&#9670;&#160;</a></span>m_IsDismantle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionActionDismantleFlag::m_IsDismantle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d79/a00203_source.html#l00023">23</a> of file <a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/<a class="el" href="../../de/d79/a00203_source.html">expansionactiondismantleflag.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d20/a03557.html">ExpansionActionDismantleFlag</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
